<!DOCTYPE html>
<html lang="es">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="m4play.css">
        <link rel="stylesheet" href="index.css">
        <!--<link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Maven+Pro&display=swap" rel="stylesheet">
        -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Kanit:wght@300&display=swap" rel="stylesheet">
        <link rel="icon" type="image/x-icon" href="src/logo.jpg">
        <title>M4Play Angel Navarrete</title>

        <script>
            function loadXMLDoc(filename) {
                if (window.ActiveXObject) {
                    xhttp = new ActiveXObject("Msxml2.XMLHTTP");
                }
                else {
                    xhttp = new XMLHttpRequest();
                }
                xhttp.open("GET", filename, false);
               // try { xhttp.responseType = "msxml-document" } catch (err) { } // Helping IE11
                xhttp.send("");
                return xhttp.responseXML;
            }
    
            function displayResult() {
                xml = loadXMLDoc("videojuegos.xml");
                xsl = loadXMLDoc("videojuegos.xsl");
                // code for IE
                // if (window.ActiveXObject || xhttp.responseType == "msxml-document") {
                //     ex = xml.transformNode(xsl);
                //     document.getElementById("example").innerHTML = ex;
                // }
                // // code for Chrome, Firefox, Opera, etc.
                // else 
                if (document.implementation && document.implementation.createDocument) {
                    xsltProcessor = new XSLTProcessor();
                    xsltProcessor.importStylesheet(xsl);
                    resultDocument = xsltProcessor.transformToFragment(xml, document);
                    document.getElementById("videojuegosContainer").appendChild(resultDocument);
                }
            }
        </script>
    </head>

    <body onload="displayResult()">
        <header>
            <div class="logoContainer">
                <img src="src/M4PLay.jpg" alt="Logo de la pagina" class="logo">
            </div>

            <h1>I LEARNING THROUGH PLAY</h1>
            <nav class="sticky">
                <a href="index.html">M04PLAY</a>
                <a href="videojuegos.html">VIDEOJUEGOS</a>
                <a href="">NOTICIAS</a>
                <a href="">RANKING</a>
                <a href="">ENCUESTA</a>
                <a href="">CONTACTO</a>
            </nav>
        </header>
        <main>
            <section>
                <h2>VIDEOJUEGOS</h2>
                <div class="VideojuegosContainer" id="videojuegosContainer">
                
                </div>
            </section>
            <!--Trucos-->
            <section class="sectionTrucos">
                <br>
                <h2>Trucos</h2>
                <div>
                    <h3>Grand Theft Auto</h3>
                    <p><strong>Para aparecer barcos:</strong> 365-555-050</p>
                    <p><strong>Para aparecer salud:</strong> 482-555-050</p>

                    <h3>League Of Legends</h3>
                    <p><strong>Hechizos del Invocador:</strong> te explicamos que son u como funciona cada uno</p>
                    <p><strong>Subir de nivel rapido:</strong> descubre todas las formas de ganar puntos de experiencia</p>
                    <p><strong>Recompensas de cuenta:</strong> aqui mostramos todos los premios que ganmaras por subir tu
                        nivbel en el LoL</p>
                </div>
            </section>
            <!--Noticias-->
            <section class="sectionNoticias">
                <br>
                <h2>Noticias</h2>
                <div class="noticiasContainer">
                    <article class="noticias">
                        <h3>STRAY TAMBIÉN LLEGARÁ EN FORMATO FÍSICO</h3>
                        <p>Annapurna Interactive y iam8bit, en asociación con la distribuidora Skybound Games, se complacen
                            en anunciar que Stray llegará en formato físico para PlayStation 4 el 8 de noviembre.</p>
                        <img src="src/Stray-noticia.png" alt="Foto noticia 1"><a class="botonNoticias" href="https://fanaticosdelhardware.com/stray-tambien-llegara-en-formato-fisico-para-ps4/">Seguir la
                            noticia</a>
                    </article>
                    <article class="noticias">
                        <h3>La versión next gen de The Witcher 3 se lanzará a finales del 2022</h3>
                        <p>Uno de los juegos que sufrió de gran valorización por parte de los jugadores en la generación
                            pasada fue The Witcher 3, cuyos elementos conquistaron a la gran mayoría de jugadores,
                            convirtiéndose en un juego de altísima calidad. </p>
                        <img src="src/thewitcher3-noticia.jpg" alt="Foto noticia 2"><a class="botonNoticias" href="https://www.somosxbox.com/la-version-next-gen-de-the-witcher-3-se-lanzara-a-finales-del-2022/955859">Seguir
                            la noticia</a>
                    </article>
                    <article class="noticias">
                        <h3>Starfield es el proyecto más grande de la historia de Bethesda Game Studios</h3>
                        <p>Starfield puede que sea uno de los títulos más esperados para el año que viene, tanto por toda la
                            expectación que se ha formado a su alrededor, y por las ganas que tiene la industria de ver la
                            próxima gran obra del estudio creador de entregas tan icónicas como Fallout 3 o The Elder
                            Scrolls V: Skyrim, entre muchas otras.</p>
                            <div>
                                <img src="src/starfield-noticia.jpg" alt="Foto noticia 3">
                                <a class="botonNoticias" href="https://www.gamecored.com/starfield-es-el-proyecto-mas-gran-de-bethesda/">Seguir la noticia</a>
                            </div>
                        
                    </article>
                    <article class="noticias">
                        <h3>"Elden Ring es solo el principio" para Bandai Namco, orgullosa de los números conseguidos</h3>
                        <p>Que Elden Ring es un éxito es algo que no sorprende a nadie a estas alturas. El juego
                            desarrollado por FromSoftware puede presumir de ventas millonarias, concretamente 16,6 millones
                            de copias vendidas a fecha de 30 de junio de 2021, por lo que desde la editora Bandai Namco solo
                            tienen buenas palabras para la obra de Hidetaka Miyazaki.</p>
                        <img src="src/elden_ring-noticia.jpg" alt="Foto noticia 4"><a class="botonNoticias" href="https://www.3djuegos.com/juegos/elden-ring/noticias/elden-ring-es-solo-el-principio-para-bandai-namco-orgullosa-221006-125580">Seguir
                            la noticia</a>
                    </article>
                </div>
            </section>
            <!--Ranking-->
            <section class="ranking">
                <h2>Ranking</h2>
                <div class="rankingContainer">
                    <div class="persona">
                        <img src="src/cara2.jpg" alt="Foto Angel">
                        <h3>Angel Navarrete</h3>
                        <p>Puntuacion: 20000</p>
                        <p>Horas de juego: 345h</p>
                    </div>
                    <div class="persona">
                        <img src="src/cara1.jpg" alt="Foto Gabriel">
                        <h3>Gabriel Pedrosa</h3>
                        <p>Puntuacion: 19966</p>
                        <p>Horas de juego: 378h</p>
                    </div>
                    <div class="persona">
                        <img src="src/cara3.jpg" alt="Foto Oriol">
                        <h3>Oriol Gali</h3>
                        <p>Puntuacion: 19965</p>
                        <p>Horas de juego: 261h</p>
                    </div>
                    <div class="persona">
                        <img src="src/cara4.jpg" alt="Foto Samuel">
                        <h3>Samuel Prats</h3>
                        <p>Puntuacion: 18968</p>
                        <p>Horas de juego: 400h</p>
                    </div>
                    <div class="persona">
                        <img src="src/cara3.jpg" alt="Foto Yanick">
                        <h3>Yanick Garcia</h3>
                        <p>Puntuacion: 18569</p>
                        <p>Horas de juego: 370h</p>
                    </div>
                    <div class="persona">
                        <img src="src/cara2.jpg" alt="Foto Fabian">
                        <h3>Fabian Galindo</h3>
                        <p>Puntuacion: 12533</p>
                        <p>Horas de juego: 209h</p>
                    </div>
                </div>
            </section>
        </main>
        <!--Footer-->
        <footer>
            <div class="footerContainer">
                <div class="enlaces">
                    <a href="www.facebook.com"> <img src="src/facebook.png" alt="Facebook"></a>
                    <a href="www.twitter.com"> <img src="src/twitter.png" alt="Twitter"></a>
                    <a href="www.instagram.com"> <img src="src/instagram.png" alt="Instagram"></a>
                    <a href="www.youtube.com"><img src="src/youtube.png" alt="Youtube"></a>
                </div>

                <div class="direccion">
                    <address>Carrer d'Aiguablava 121 <br>08033 Barcelona</address>
                </div>

                <div class="copyright">
                    <p>© 2022 Angel Navarrete Sanchez</p>
                </div>
            </div>

        </footer>
    </body>
</html>